> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/yardi-rest/applicants/assign-applicant-rentable-item-yardi-rest/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Assign Applicant Rentable Item: Yardi REST POST https://api.propexo.com/v1/rentable-items/applicants/assign/yardi_rest Content-Type: application/json Assign Applicant Rentable Item: Yardi REST| Interface | Method | | -------------- | ----------------------------------------- | | ILS Guest Card | /ItfProspect/ManageApplicantRentableItems |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync. Reference: https://docs.propexo.com/api-reference/yardi-rest/applicants/assign-applicant-rentable-item-yardi-rest ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Body (application/json) This endpoint expects a _v1_rentable-items_applicants_assign_yardi_rest_post_input. - `integration_id` (string, required) — The Propexo unique identifier for the integration - `rentable_item_id` (string, required) — The Propexo unique identifier for the rentable item - `applicant_id` (string, required) — The Propexo unique identifier for the applicant ## Response ### 200 Successful response - `meta` (V1RentableItemsApplicantsAssignYardiRestPostOutputMeta, required) - `result` (V1RentableItemsApplicantsAssignYardiRestPostOutputResult, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### V1RentableItemsApplicantsAssignYardiRestPostOutputMeta - `job_id` (string, required) ### V1RentableItemsApplicantsAssignYardiRestPostOutputResult - `integration_id` (string, required) — The Propexo unique identifier for the integration - `rentable_item_id` (string, required) — The Propexo unique identifier for the rentable item - `applicant_id` (string, required) — The Propexo unique identifier for the applicant ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ## Examples **Request** ```json { "integration_id": "yardi-12345", "rentable_item_id": "rentable-67890", "applicant_id": "applicant-abcde" } ``` **Response** ```json { "meta": { "job_id": "job-20240615-001" }, "result": { "integration_id": "yardi-12345", "rentable_item_id": "rentable-67890", "applicant_id": "applicant-abcde" } } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/rentable-items/applicants/assign/yardi_rest" payload = { "integration_id": "yardi-12345", "rentable_item_id": "rentable-67890", "applicant_id": "applicant-abcde" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/rentable-items/applicants/assign/yardi_rest'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"integration_id":"yardi-12345","rentable_item_id":"rentable-67890","applicant_id":"applicant-abcde"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/rentable-items/applicants/assign/yardi_rest" payload := strings.NewReader("{\n \"integration_id\": \"yardi-12345\",\n \"rentable_item_id\": \"rentable-67890\",\n \"applicant_id\": \"applicant-abcde\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/rentable-items/applicants/assign/yardi_rest") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"integration_id\": \"yardi-12345\",\n \"rentable_item_id\": \"rentable-67890\",\n \"applicant_id\": \"applicant-abcde\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.propexo.com/v1/rentable-items/applicants/assign/yardi_rest") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"integration_id\": \"yardi-12345\",\n \"rentable_item_id\": \"rentable-67890\",\n \"applicant_id\": \"applicant-abcde\"\n}") .asString(); ``` ```php request('POST', 'https://api.propexo.com/v1/rentable-items/applicants/assign/yardi_rest', [ 'body' => '{ "integration_id": "yardi-12345", "rentable_item_id": "rentable-67890", "applicant_id": "applicant-abcde" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/rentable-items/applicants/assign/yardi_rest"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"integration_id\": \"yardi-12345\",\n \"rentable_item_id\": \"rentable-67890\",\n \"applicant_id\": \"applicant-abcde\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "integration_id": "yardi-12345", "rentable_item_id": "rentable-67890", "applicant_id": "applicant-abcde" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/rentable-items/applicants/assign/yardi_rest")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```